cgIsParentType(3)

NAME
cgIsParentType - determine if a type is a parent of another type

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsParentType( CGtype parent,
                         CGtype child );

PARAMETERS

parent
    The parent type.

child
    The child type.

RETURN VALUES
Returns CG_TRUE if parent is a parent type of child.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsParentType returns CG_TRUE if parent is a parent type of child. Otherwise CG_FALSE is returned.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgIsParentType was introduced in Cg 1.2.

SEE ALSO
the cgGetParentType manpage